+ Responder ao Tópico



  1. #1

    Padrão PHP + Mysql + apache

    Olá pessoal,

    Fiz a instalação deste trio através dos sources de ambos, usando as seguintes sintaxes.

    Apache_1.3.31
    ./configure --prefix=/usr/local/apache --enable-shared=max --enable-module=so
    make
    make install

    Mysql_4.0.20

    ./configure --prefix=/usr/local/mysql
    make
    make install

    php_php-4.3.7

    ./configure --prefix=/usr/local/php
    --with-apxs=/usr/local/apache/bin/apxs
    --enable-sigchild
    --with-zlib
    --enable-bcmath
    --enable-calendar
    --enable-ftp
    --with-gettext
    --with-mysql=/usr/local/mysql
    --with-pear
    --with-ldap


    Pronto! Foram estes os parametros usados para a instalação dos mesmos. ( Lembrando que estão todos funcionando muito bem). Só que agora surgiu a nescessidade de que o php e o apche estivesse sido compilados com suporte a perl + ssl, e agora como devo proceder? Como instalar estes dois e como recompilar o php e o apache?


    Valeu..


    Abraços.

  2. #2

    Padrão PHP + Mysql + apache

    Pô ninguem esta por dentro desse problema naum?

    Valeu...



  3. #3
    Super_Diaulas
    Visitante

    Padrão PHP + Mysql + apache

    não posso te dar certeza, nunca precisei fazer isto

    mas faça os mesmos processos da instalação de novo e adicione o que vc vai querer compilado (./configure)e reinstala ele.

  4. #4

    Padrão PHP + Mysql + apache

    Citação Postado originalmente por Super_Diaulas
    não posso te dar certeza, nunca precisei fazer isto

    mas faça os mesmos processos da instalação de novo e adicione o que vc vai querer compilado (./configure)e reinstala ele.
    Ja pesquisei na net sobre recompilação, mas é muito vaga as informações.


    Mas se naum me engano deve ter algo adicional, lembro que tentei fazer isso uma vez e naumm deu muito certo.

    Brigadão.
    Abraços...



  5. #5
    Super_Diaulas
    Visitante

    Padrão PHP + Mysql + apache

    procure nos fóruns sobre slackware, quem trabalha com slackware está "acostumado" com .tar.gz, talvez podem lhe dar uma dica.